#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <vector>
#include <iostream>
#include <fstream>
#include <GL/glut.h>
#include <assert.h>
#include <map>
#include <string.h>
#include "skydome.h"
#include "shapes.h"
#include "texture.h"
#include "drawobjects.h"


// radians to degree conversions
#define PI 3.1415926535897f
#define DTOR (PI / 180.0f)

//very simple data structure to store 3d points
typedef struct Vector3
{
  float x;
  float y;
  float z;
  float u;
  float v;
  Vector3(float in_x, float in_y, float in_z) : x(in_x), y(in_y), z(in_z){}
  Vector3(float in_x, float in_y, float in_z, float in_u, float in_v) : x(in_x), y(in_y), z(in_z), u(in_u), v(in_v) {}
  Vector3() {}
} Vector3;

typedef struct Building
{
	float x;
	float y;
	float z;
	int type;
	int editable;
	float scale;
	float rotate;
	Building(float in_x, float in_y, float in_z, int in_type, int in_edit) : x(in_x), y(in_y), z(in_z), type(in_type), editable(in_edit)
	{
		scale = 1.0f;
		rotate = 0;
	}
	Building(){}
}Building;

using namespace std;

static int move_building;
static int startx;
static int starty;



